StarWriterStruct Namespace Reference documentation

Classes | Functions
StarWriterStruct Namespace Reference

namespace use to keep basic writer structure More...

## Classes
struct | Attribute
| struct use an attribute and a position More...
class | Bookmark
| structure to store a bookmark More...
struct | DatabaseName
| structure to store a databaseName in a text zone More...
struct | Dictionary
| structure to store a dictionary in a text zone More...
struct | DocStats
| the doc statistic More...
struct | Macro
| structure to store a macro in a text zone More...
struct | Mark
| structure to store a mark in a text zone More...
struct | NodeRedline
| structure to store a nodeRedline in a text zone More...
struct | NoteInfo
| structure to store a endnoteInfo or a footnoteInfo in a text zone More...
struct | PrintData
| the doc statistic More...
struct | Redline
| structure to store a redline in a text zone More...
struct | TOX
| structure to store a TOX in a text zone More...
struct | TOX51
| structure to store a TOX51 in a text zone More...

## Functions
std::ostream & | operator<< (std::ostream &o, Attribute const &attrib)
std::ostream & | operator<< (std::ostream &o, Bookmark const &mark)
std::ostream & | operator<< (std::ostream &o, DatabaseName const &dbase)
std::ostream & | operator<< (std::ostream &o, Dictionary const &dbase)
std::ostream & | operator<< (std::ostream &o, DocStats const &stats)
std::ostream & | operator<< (std::ostream &o, Macro const &macro)
std::ostream & | operator<< (std::ostream &o, Mark const &mark)
std::ostream & | operator<< (std::ostream &o, NodeRedline const &nodeRedline)
std::ostream & | operator<< (std::ostream &o, NoteInfo const &info)
std::ostream & | operator<< (std::ostream &o, PrintData const &info)
std::ostream & | operator<< (std::ostream &o, Redline const &redline)
std::ostream & | operator<< (std::ostream &o, TOX const &tox)
std::ostream & | operator<< (std::ostream &o, TOX51 const &tox)

## Detailed Description

namespace use to keep basic writer structure

## Function Documentation

## ◆ operator<<() [1/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | Attribute const & | attrib )

## ◆ operator<<() [2/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | Bookmark const & | mark )

## ◆ operator<<() [3/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | DatabaseName const & | dbase )

## ◆ operator<<() [4/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | Dictionary const & | dbase )

## ◆ operator<<() [5/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | DocStats const & | stats )

## ◆ operator<<() [6/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | Macro const & | macro )

## ◆ operator<<() [7/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | Mark const & | mark )

## ◆ operator<<() [8/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | NodeRedline const & | nodeRedline )

## ◆ operator<<() [9/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | NoteInfo const & | info )

## ◆ operator<<() [10/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | PrintData const & | info )

## ◆ operator<<() [11/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | Redline const & | redline )

## ◆ operator<<() [12/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | TOX const & | tox )

## ◆ operator<<() [13/13]

std::ostream & StarWriterStruct::operator<< | ( | std::ostream & | o,
|  | TOX51 const & | tox )